<template>
  <section class="AiMore">
    <u-icon name="arrow-right" color="#ddd" :label="value||placeholder" label-pos="left" :label-color="labelColor" label-size="32"/>
  </section>
</template>

<script>
export default {
  name: "AiMore",
  model: {
    prop: "value",
    event: "change"
  },
  props: {
    placeholder: {default: "请选择"},
    value: String
  },
  computed: {
    isEmpty() {
      return !this.value
    },
    labelColor() {
      return this.isEmpty ? "#999" : "#333"
    }
  }
}
</script>

<style lang="scss" scoped>
.AiMore {
}
</style>
